import React from 'react';
import renderer from 'react-test-renderer'; // eslint-disable-line import/no-extraneous-dependencies

import Sidebar from './index';

test('Column renders correctly', () => {
  const tree = renderer.create(
    <div>
      <Sidebar left name="left">Hello</Sidebar>
      <Sidebar right name="right">Hello</Sidebar>
      <Sidebar fixed right name="right">Hello</Sidebar>
    </div>
  ).toJSON();
  expect(tree).toMatchSnapshot();
});
